summaryrefslogtreecommitdiff
path: root/share/customize-resolved.sh
diff options
context:
space:
mode:
authorHelmut Grohne <helmutg@debian.org>2023-01-15 08:54:06 +0000
committerHelmut Grohne <helmutg@debian.org>2023-01-15 08:54:06 +0000
commitb6aee3905cc52fa206cfbef3fe01d2c6388435a1 (patch)
tree86ab25a9c7434d62019359da0f996d2097aa8247 /share/customize-resolved.sh
parent59c77e0c3422287651c6e270917bcfa04a6c17a6 (diff)
parentca2cbf6d84dcc96845fcc6521aebe3b5076cdb32 (diff)
downloaddebvm-b6aee3905cc52fa206cfbef3fe01d2c6388435a1.tar.gz
Merge branch 'helmut' into 'main'
reduce usage of DEBVER See merge request helmutg/debvm!22
Diffstat (limited to 'share/customize-resolved.sh')
-rwxr-xr-xshare/customize-resolved.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/share/customize-resolved.sh b/share/customize-resolved.sh
new file mode 100755
index 0000000..e8fe248
--- /dev/null
+++ b/share/customize-resolved.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Copyright 2022 Helmut Grohne <helmut@subdivi.de>
+# SPDX-License-Identifier: MIT
+#
+# This is a mmdebstrap customize hook that enables systemd-resolved on various
+# Debian releases.
+
+set -eu
+
+TARGET=$1
+
+LIBNSS_RESOLVE_VERSION=$(dpkg-query --root "$TARGET" -f '${Version}' -W libnss-resolve 2>/dev/null) || :
+
+if dpkg --compare-versions "$LIBNSS_RESOLVE_VERSION" lt 251.3-2~exp1; then
+ if test "${MMDEBSTRAP_MODE:-}" = chrootless; then
+ systemctl --root "$TARGET" enable systemd-resolved.service
+ else
+ chroot "$TARGET" systemctl enable systemd-resolved.service
+ fi
+
+ if test -z "$LIBNSS_RESOLVE_VERSION"; then
+ ln -fs ../run/systemd/resolve/resolv.conf "$TARGET/etc/resolv.conf"
+ else
+ ln -fs ../run/systemd/resolve/stub-resolv.conf "$TARGET/etc/resolv.conf"
+ fi
+fi